## org.acedb
Interface Connection

public interface Connection

A call-level connection to an ACeDB object. This is only needed if you need to directly execute a command on the server, and might indicate a deficiency in the ACeDBC API.

Note that this class is not thread-safe at present.

Author:
  Thomas Down

Method Summary
`void` `dispose()` Safely dispose of this connection.
`java.lang.String` `transact(java.lang.String aceCmd)` Execute a command on an ACeDB database.

Method Detail

### transact

    public java.lang.String transact(java.lang.String aceCmd)
                              throws AceException

  Execute a command on an ACeDB database.
  Parameters:
    `aceCmd` - A valid ACeDB command (e.g. something that you might type at the tace prompt)
  Throws:
    AceException - if the command fails, or if there is a problem with the connection.

### dispose

    public void dispose()
                 throws AceException

  Safely dispose of this connection. This will often mean returning it to some pool. The connection should not be used after this method has been called.
  Throws:
    AceException - if there is a problem with the connection.